<?php
/**
*
* Pay for Link System V.1.0.2
*
* @package main
* @version $Id: bajar.php 235 2012-01-09 06:40:16 picaron $
* @copyright (c) 2012 picaron - http://www.ascensoristas.net
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : '../';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/payforlink');

/**
* Retrieve codec URL
*/
$cat_url		= $_GET["url"];
$goback_url		= strrev($cat_url);
$clear_url		= DecodeID($goback_url);
$datos 			= explode('|||',$clear_url);
$url 			= $datos[0];
$precio 		= $datos[1];
$id_prop 		= $datos[2];
$id_conec 		= (int) $user->data['user_id'];
$ganar 			= (int) ($precio/2);
$theme_path 	= "{$phpbb_root_path}styles/" . $user->theme['imageset_path'] . '/imageset/' . $user->data['user_lang'].'/';

// Verificamos que los datos sean validos
if (($precio < 1) or ($precio > 500) or (substr($url, 0, 4) != "http"))
{
$download = '<b><font color="#990000" size="2" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_ERROR'].'</font></b>';
$text_precio = '<font color="#990000" size="1" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_ERROR_NOTIFY'].'</font>';
} else {

	$sql = 'SELECT username
		FROM ' . USERS_TABLE . '
		WHERE user_id = ' . (int) $id_prop;
	$result = $db->sql_query($sql);
	$row = $db->sql_fetchrow($result);

		// Check users points, if UPS is installed and active
		if (defined('IN_ULTIMATE_POINTS') && $config['points_enable'])
		{
			// Verificamos si el usuario ha comprado anteriormente el enlace
			$user_buy = '';	
			$sql = "SELECT link_url FROM phpbb_payforlink WHERE link_url = '$cat_url' AND user_id_buy = " . (int) $user->data['user_id'];
			$result = $db->sql_query($sql);
			$user_buy = $db->sql_fetchfield('link_url');	
		
			// El usuario NO tiene comprado el enlace (continua el proceso de pago)
			if ($user_buy == '')
			{
				// Si el usuario conectado es el propietario de la descarga, no suma ni resta puntos
				if ($id_conec != $id_prop)
				{
					$sql = 'SELECT user_points
						FROM ' . USERS_TABLE . '
						WHERE user_id = ' . (int) $user->data['user_id'];
					$result = $db->sql_query($sql);
					$user_points = (int) $db->sql_fetchfield('user_points');


					if ($user->data['user_points'] < $precio)
					{
						$download = '<img src="'. $theme_path . 'button_locked_no_points_'.$user->data['user_lang'].'.png" title="'.$user->lang['LINK_ADD_NO_POINTS'].'" alt="'.$user->lang['LINK_ADD_NO_POINTS'].'"></img>';
						$titulo = $user->lang['LINK_ADD_DISABLE'];
						$text_precio = '<font color="#990000" size="2" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_PRICE'].$precio.$user->lang['LINK_ADD_POINTS'].'</font><br>
										<font color="#0000CC" size="2" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_CASH'].$user_points.$user->lang['LINK_ADD_POINTS'].'</font>';
					} else {
						$download = '<a href="'.$url.'" target="_blank" title="'.$user->lang['LINK_ADD_ENABLED'].'" style="background-image:url('.$theme_path.'button_download_'.$user->data['user_lang'].'.png);width:210px;height:40px;display:block;"></a>';
						$titulo = $user->lang['LINK_ADD_LINK_FILE'];
						$text_precio = '<font color="#006600" size="2" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_WILL_REST'].$precio.$user->lang['LINK_ADD_P_ME_ACCOUNT'].'</font><br>
										<font color="#0000CC" size="2" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_WILL_ADD'].$ganar.$user->lang['LINK_ADD_P_HE_ACCOUNT'].$row['username'].'</font>';
							// Resta puntos al usuario que descarga
							$sql = 'UPDATE ' . USERS_TABLE . '
								SET user_points = user_points - ' . $precio . '
								WHERE user_id = ' . (int) $user->data['user_id'];
							$db->sql_query($sql);
								if ($row['username'] != '')
								{				
									// Suma puntos por el 50% del valor de la descarga al creador del enlace
									$sql = 'UPDATE ' . USERS_TABLE . '
										SET user_points = user_points + ' . $ganar . '
										WHERE user_id = ' . (int) $id_prop;
									$db->sql_query($sql);		
								}
							// Guardamos la compra
							$sql = 'INSERT INTO phpbb_payforlink ' . $db->sql_build_array('INSERT', array(
								'user_id_buy'	=> (int) $user->data['user_id'],
								'link_url'		=> $cat_url,
								'link_cost'		=> $precio,
								'user_id_prop'	=> $id_prop)
							);
							$db->sql_query($sql);		
					}
					
				} else {
					$download = '<a href="'.$url.'" target="_blank" title="'.$user->lang['LINK_ADD_FREE'].'" style="background-image:url('.$theme_path.'button_download_'.$user->data['user_lang'].'.png);width:210px;height:40px;display:block;"></a>';
					$titulo = $user->lang['LINK_ADD_LINK_FILE'];
					$text_precio = '<font color="#0000CC" size="2" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_OWNER'].'<br>'.$user->lang['LINK_ADD_NOT_ADD_REST'].'</font>';		
				}
				
			} else {
			// El usuario SI tiene comprado el enlace (se facilita el enlace de descarga directamente)
			$download = '<a href="'.$url.'" target="_blank" title="'.$user->lang['LINK_ADD_NO_PAY'].'" style="background-image:url('.$theme_path.'button_download_'.$user->data['user_lang'].'.png);width:210px;height:40px;display:block;"></a>';
			$titulo = $user->lang['LINK_ADD_FREE_FILE_DOWN'];
			$text_precio = '<font color="#006600" size="1" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_USER_BUY'].'<br>'.$user->lang['LINK_ADD_NOT_ADD_REST'].'</font>';
			}				
			
		} else {

		// Como los puntos estan deshabilitados, muestra el enlace de descarga directamente y NO resta NI suma puntos
		$download = '<a href="'.$url.'" target="_blank" title="'.$user->lang['LINK_ADD_FREE'].'" style="background-image:url('.$theme_path.'button_download_'.$user->data['user_lang'].'.png);width:210px;height:40px;display:block;"></a>';
		$titulo = $user->lang['LINK_ADD_LINK_FILE'];
		$text_precio = '<font color="#0000CC" size="2" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_ENABLED'].'</font>';
		}
}

function DecodeID($string) {return @eval(base64_decode('JGRlY29kZSA9IHN0cl9yZXBsYWNlKCJjREZqTkhJdyIsIiIsJHN0cmluZyk7DQokZGVjb2RlID0gc3RyX3JlcGxhY2UoIlJXd3pWalIwIiwiIiwkZGVjb2RlKTsNCiRkZWNvZGVkID0gYmFzZTY0X2RlY29kZShzdHJfcGFkKHN0cnRyKCRkZWNvZGUsICctXycsICcrLycpLCBzdHJsZW4oJGRlY29kZSkgJSA0LCAnPScsIFNUUl9QQURfUklHSFQpKTsNCnJldHVybiAkZGVjb2RlZDs='));}
	
$template->assign_vars(array(
    'LINK_UP_TITLE'     => $titulo,
    'LINK_DOWNLOAD'     => $download,
    'LINK_TEXT_PRICE'   => $text_precio,	
));

page_header($user->lang['ADD_LINK']);
$template->set_filenames(array(
    'body' => 'view_link_body.html',
));

page_footer();
?>