<?php
/**
*
* Pay for Link System V.1.0.2
*
* @package main
* @version $Id: verificar.php 235 2012-01-09 06:40:16 picaron $
* @copyright (c) 2012 picaron - http://www.ascensoristas.net
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : '../';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/payforlink');

/**
* Retrieve codec URL
*/
$cat_url		= $_GET["urlcodec"];
$goback_url		= strrev($cat_url);
$clear_url		= DecodeID($goback_url);
$datos 			= explode('|||',$clear_url);
$url 			= $datos[0];
$precio 		= $datos[1];
$id_prop 		= $datos[2];
$id_conec 		= (int) $user->data['user_id'];
$theme_path 	= "{$phpbb_root_path}styles/" . $user->theme['imageset_path'] . '/imageset/' . $user->data['user_lang'].'/';

$enl_desc = "{$phpbb_root_path}payforlink/bajar.php?url=" . $cat_url;

// Verificamos que los datos sean validos
if (($precio < 1) or ($precio > 500) or (substr($url, 0, 4) != "http"))
{
$download = '<b><font color="#990000" size="2" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_ERROR'].'</font></b>';
$text_precio = '<font color="#990000" size="1" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_ERROR_NOTIFY'].'</font>';
} else {

	// Check users points, if UPS is installed and active
	if (defined('IN_ULTIMATE_POINTS') && $config['points_enable'])
	{
		// Verificamos si el usuario ha comprado anteriormente el enlace
		$user_buy = '';	
		$sql = "SELECT link_url FROM phpbb_payforlink WHERE link_url = '$cat_url' AND user_id_buy = " . (int) $user->data['user_id'];
		$result = $db->sql_query($sql);
		$user_buy = $db->sql_fetchfield('link_url');	
	
		// El usuario NO tiene comprado el enlace (continua el proceso de pago)
		if ($user_buy == '')
		{	
			// Si el usuario conectado es el propietario de la descarga, no suma ni resta puntos
			if ($id_conec != $id_prop)
			{	
				$sql = 'SELECT user_points
					FROM ' . USERS_TABLE . '
					WHERE user_id = ' . (int) $user->data['user_id'];
				$result = $db->sql_query($sql);
				$user_points = (int) $db->sql_fetchfield('user_points');


				if ($user->data['user_points'] < $precio)
				{
					$download = '<img src="'. $theme_path . 'button_locked_'.$user->data['user_lang'].'.png" title="'.$user->lang['LINK_ADD_NO_POINTS'].'" alt="'.$user->lang['LINK_ADD_NO_POINTS'].'"></img>';
					$titulo = $user->lang['LINK_ADD_DISABLE'];
					$text_precio = '<font color="#990000" size="2" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_PRICE'].$precio.$user->lang['LINK_ADD_POINTS'].'</font><br>
									<font color="#0000CC" size="2" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_CASH'].$user_points.$user->lang['LINK_ADD_POINTS'].'</font>';
				} else {
					$links = Return_Substrings($url, '//', '/');				
					$download = '<a href="'.$enl_desc.'" title="'.$user->lang['LINK_ADD_HOSTING'].$links[0].'" style="background-image:url('.$theme_path.'button_pay_link_'.$user->data['user_lang'].'.png);width:210px;height:40px;display:block;"></a>';
					$titulo = $user->lang['LINK_ADD_REST_POINTS'].$precio.$user->lang['LINK_ADD_POINTS'];
					$text_precio = '<font color="#006600" size="2" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_PRICE'].$precio.$user->lang['LINK_ADD_POINTS'].'</font><br>
									<font color="#0000CC" size="2" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_CASH'].$user_points.$user->lang['LINK_ADD_POINTS'].'</font>';		
				}

			} else {
				$download = '<a href="'.$enl_desc.'" title="'.$user->lang['LINK_ADD_FREE'].'" style="background-image:url('.$theme_path.'button_free_link_'.$user->data['user_lang'].'.png);width:210px;height:40px;display:block;"></a>';
				$titulo = $user->lang['LINK_ADD_FREE_FILE'];
				$text_precio = '<font color="#0000CC" size="2" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_PRICE'].$precio.$user->lang['LINK_ADD_POINTS'].'<br>'.$user->lang['LINK_ADD_OWNER'].'</font>';
			}					

		} else {
		// El usuario SI tiene comprado el enlace (se facilita el enlace de descarga directamente)
		$download = '<a href="'.$enl_desc.'" title="'.$user->lang['LINK_ADD_NO_PAY'].'" style="background-image:url('.$theme_path.'button_free_link_'.$user->data['user_lang'].'.png);width:210px;height:40px;display:block;"></a>';
		$titulo = $user->lang['LINK_ADD_FREE_FILE_DOWN'];
		$text_precio = '<font color="#006600" size="1" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_USER_BUY'].'<br>'.$user->lang['LINK_ADD_NOT_ADD_REST'].'</font>';
		}
		
	} else {
	// Como los puntos estan deshabilitados se facilita el enlace de descarga directamente
	$download = '<a href="'.$enl_desc.'" title="'.$user->lang['LINK_ADD_NO_PAY'].'" style="background-image:url('.$theme_path.'button_free_link_'.$user->data['user_lang'].'.png);width:210px;height:40px;display:block;"></a>';
	$titulo = $user->lang['LINK_ADD_FREE_FILE_DOWN'];
	$text_precio = '<font color="#0000CC" size="2" face="Geneva, Arial, Helvetica, sans-serif">'.$user->lang['LINK_ADD_FREE_DOWN'].'</font>';
	}

}

function DecodeID($string) {return @eval(base64_decode('JGRlY29kZSA9IHN0cl9yZXBsYWNlKCJjREZqTkhJdyIsIiIsJHN0cmluZyk7DQokZGVjb2RlID0gc3RyX3JlcGxhY2UoIlJXd3pWalIwIiwiIiwkZGVjb2RlKTsNCiRkZWNvZGVkID0gYmFzZTY0X2RlY29kZShzdHJfcGFkKHN0cnRyKCRkZWNvZGUsICctXycsICcrLycpLCBzdHJsZW4oJGRlY29kZSkgJSA0LCAnPScsIFNUUl9QQURfUklHSFQpKTsNCnJldHVybiAkZGVjb2RlZDs='));}

function Return_Substrings($text, $sopener, $scloser)
{
	$result = array();
	
	$noresult = substr_count($text, $sopener);
	$ncresult = substr_count($text, $scloser);
	
	if ($noresult < $ncresult)
	{
		$nresult = $noresult;
	} else {
		$nresult = $ncresult;
	}
	
	unset($noresult);
	unset($ncresult);
	
	for ($i=0;$i<$nresult;$i++) 
		{
			$pos = strpos($text, $sopener) + strlen($sopener);	
			$text = substr($text, $pos, strlen($text));
			$pos = strpos($text, $scloser);			
			$result[] = substr($text, 0, $pos);
			$text = substr($text, $pos + strlen($scloser), strlen($text));
		}
	return $result;
}

$template->assign_vars(array(
    'LINK_UP_TITLE'     => $titulo,
    'LINK_DOWNLOAD'     => $download,
    'LINK_TEXT_PRICE'   => $text_precio,	
));

page_header($user->lang['ADD_LINK']);
$template->set_filenames(array(
    'body' => 'view_link_body.html',
));

page_footer();
?>