<?php
/**
*
* Pay for Link System
*
* @package main (English)
* @version $Id: payforlink.php 235 2012-01-09 06:40:16 picaron $
* @copyright (c) 2012 picaron - http://www.ascensoristas.net
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
    exit;
}

if (empty($lang) || !is_array($lang))
{
    $lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
    //Payforlink Plugin MOD by picaron - start
    'LINK_ADD_ALERT_URL'    	=> 'You must enter a valid URL !',
    'LINK_ADD_ALERT_COST'   	=> 'The price must be a value between 1 and 500 !',
    'LINK_ADD_TITLE'  			=> 'Enter Data Link !',
    'LINK_ADD_TITLE_BOX1'  		=> 'Full URL of the download link:',	
    'LINK_ADD_TITLE_BOX2'   	=> 'Price in points for each download:',
    'LINK_ADD_BOX2_EXPLAIN' 	=> '(For each download that is made of this link, to join 50% of the points in your account)',
    'LINK_ADD_BUTTON'   		=> 'OK',
    'LINK_ADD_EXPLAIN'			=> 'Note: Save link as this data will be encrypted and can not recover.',	
    'LINK_ADD_CORRECT'   		=> 'Link OK!',
    'LINK_ADD_TITLE_BOX3'   	=> 'Download Link Data:',
    'LINK_ADD_OTHER'   			=> 'Add another link!',
    'LINK_ADD_TO_POST'   		=> 'Add the download link to the Message',
    'LINK_ADD_ERROR'   			=> '!! ERROR IN THE DATA FROM THE DOWNLOAD !!',	
    'LINK_ADD_ERROR_NOTIFY'  	=> '(Report It to the originator of the thread)',	
    'LINK_ADD_NO_POINTS'  		=> 'Not enough Points to download the file',
    'LINK_ADD_DISABLE'  		=> 'Link DISABLED',
    'LINK_ADD_PRICE'  			=> 'Price:&nbsp;',
    'LINK_ADD_POINTS'  			=> '&nbsp;Points',
    'LINK_ADD_CASH'   			=> 'Your Balance:&nbsp;',
    'LINK_ADD_OWNER'  			=> '(You are the Owner Link)',
	'LINK_ADD_HOSTING' 			=> 'Link Hosted at::&nbsp;',
    'LINK_ADD_REST_POINTS' 		=> 'Click to download the file. Be subtracted from your account:&nbsp;',
    'LINK_ADD_WITH_COST'   		=> 'Payment Download Link',
    'LINK_ADD_FREE'   			=> 'FREE Download',
    'LINK_ADD_FREE_FILE'   		=> 'Link to Free File',
    'LINK_ADD_NO_PAY'   		=> 'Click to download the file. No Points are deducted from your account',
    'LINK_ADD_FREE_FILE_DOWN' 	=> 'FREE DOWNLOAD link',	
    'LINK_ADD_FREE_DOWN' 		=> 'Free Download',
    'LINK_ADD_USER_BUY' 		=> '(You have previously paid for this link)',
    'LINK_ADD_ENABLED'	 		=> 'Download Enabled',
    'LINK_ADD_LINK_FILE'	 	=> 'Link to File',
    'LINK_ADD_WILL_REST'	 	=> 'Have been subtracted&nbsp;',
    'LINK_ADD_WILL_ADD'	 		=> 'Have been added&nbsp;',
    'LINK_ADD_P_ME_ACCOUNT'		=> '&nbsp;points of your account',
    'LINK_ADD_P_HE_ACCOUNT'		=> '&nbsp;points to the account of&nbsp;',
    'LINK_ADD_NOT_ADD_REST'		=> '(Do not will add or subtract points from your Account)',
    'LINK_ADD_TITLE_BOX4'   	=> 'Owner of the download:',
    //Payforlink Plugin MOD by picaron - end
));

?>