<?php
/**
*
* Pay for Link System
*
* @package main (Spanish)
* @version $Id: payforlink.php 235 2012-01-09 06:40:16 picaron $
* @copyright (c) 2012 picaron - http://www.ascensoristas.net
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
    exit;
}

if (empty($lang) || !is_array($lang))
{
    $lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
    //Payforlink Plugin MOD by picaron - start
    'LINK_ADD_ALERT_URL'    	=> 'Tienes que indicar una URL valida !',
    'LINK_ADD_ALERT_COST'   	=> 'El Precio debe ser un valor entre 1 y 500 !',
    'LINK_ADD_TITLE'  			=> 'Introduzca los Datos del Enlace!',
    'LINK_ADD_TITLE_BOX1'  		=> 'URL completa del Enlace de Descarga:',	
    'LINK_ADD_TITLE_BOX2'   	=> 'Precio en puntos por cada descarga:',
    'LINK_ADD_BOX2_EXPLAIN' 	=> '(Por cada descarga que se realice de este enlace, se sumaran el 50% de los puntos en tu cuenta)',
    'LINK_ADD_BUTTON'   		=> 'Aceptar',
    'LINK_ADD_EXPLAIN'			=> 'Nota: Guarda los datos del enlace pues este va a ser Codificado y no podras recuperarlos.',	
    'LINK_ADD_CORRECT'   		=> 'Enlace OK!',
    'LINK_ADD_TITLE_BOX3'   	=> 'Datos del Enlace de Descarga:',
    'LINK_ADD_OTHER'   			=> 'Agregar otro Enlace!',
    'LINK_ADD_TO_POST'   		=> 'Agregar el enlace de descarga al Mensaje',
    'LINK_ADD_ERROR'   			=> '!! ERROR EN LOS DATOS DE LA DESCARGA !!',	
    'LINK_ADD_ERROR_NOTIFY'  	=> '(Notificalo al creador del hilo)',	
    'LINK_ADD_NO_POINTS'  		=> 'No tienes suficientes Puntos para poder Descargar el archivo',
    'LINK_ADD_DISABLE'  		=> 'Enlace DESHABILITADO',
    'LINK_ADD_PRICE'  			=> 'Precio:&nbsp;',
    'LINK_ADD_POINTS'  			=> '&nbsp;Puntos',
    'LINK_ADD_CASH'   			=> 'Tu Saldo:&nbsp;',
    'LINK_ADD_OWNER'  			=> '(Eres el Propietario del Enlace)',
	'LINK_ADD_HOSTING' 			=> 'Enlace hospedado en:&nbsp;',
    'LINK_ADD_REST_POINTS' 		=> 'Haz click para Descargar el archivo. Se restaran de tu cuenta:&nbsp;',
    'LINK_ADD_WITH_COST'   		=> 'Enlace de DESCARGA con cargo',
    'LINK_ADD_FREE'   			=> 'DESCARGA Gratuita',
    'LINK_ADD_FREE_FILE'   		=> 'Enlace Libre al Archivo',
    'LINK_ADD_NO_PAY'   		=> 'Haz click para Descargar el archivo. No se restaran puntos de tu cuenta',
    'LINK_ADD_FREE_FILE_DOWN' 	=> 'Enlace de DESCARGA LIBRE',	
    'LINK_ADD_FREE_DOWN' 		=> 'Descarga Libre',
    'LINK_ADD_USER_BUY' 		=> '(Has pagado con anterioridad por este Enlace)',
    'LINK_ADD_ENABLED'	 		=> 'Descarga Habilitada',
    'LINK_ADD_LINK_FILE'	 	=> 'Enlace al Archivo',
    'LINK_ADD_WILL_REST'	 	=> 'Se han restado&nbsp;',
    'LINK_ADD_WILL_ADD'	 		=> 'Se han agregado&nbsp;',
    'LINK_ADD_P_ME_ACCOUNT'		=> '&nbsp;puntos de tu cuenta',
    'LINK_ADD_P_HE_ACCOUNT'		=> '&nbsp;puntos a la cuenta de&nbsp;',
    'LINK_ADD_NOT_ADD_REST'		=> '(No se sumaran ni restaran puntos de tu cuenta)',
    'LINK_ADD_TITLE_BOX4'   	=> 'Propietario de la Descarga:',
    //Payforlink Plugin MOD by picaron - end
));

?>